java.security.cert

## Class CRL

- java.lang.Object
- - java.security.cert.CRL

Direct Known Subclasses:
  X509CRL

    public abstract class CRL
    extends Object

This class is an abstraction of certificate revocation lists (CRLs) that have different formats but important common uses. For example, all CRLs share the functionality of listing revoked certificates, and can be queried on whether or not they list a given certificate.

Specialized CRL types can be defined by subclassing off of this abstract class.

Since:
  1.2
See Also:
  `X509CRL`, `CertificateFactory`

### Constructor Summary

Constructors
`protected` `CRL(String type)` Creates a CRL of the specified type.

### Method Summary

Methods
`String` `getType()` Returns the type of this CRL.
`abstract boolean` `isRevoked(Certificate cert)` Checks whether the given certificate is on this CRL.
`abstract String` `toString()` Returns a string representation of this CRL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CRL

    protected CRL(String type)

Creates a CRL of the specified type.

Parameters:
  `type` - the standard name of the CRL type. See Appendix A in the Java Cryptography Architecture API Specification & Reference for information about standard CRL types.

### Method Detail

#### getType

    public final String getType()

Returns the type of this CRL.

Returns:
  the type of this CRL.

#### toString

    public abstract String toString()

Returns a string representation of this CRL.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this CRL.

#### isRevoked

    public abstract boolean isRevoked(Certificate cert)

Checks whether the given certificate is on this CRL.

Parameters:
  `cert` - the certificate to check for.
Returns:
  true if the given certificate is on this CRL, false otherwise.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.